class AccountController < ApplicationController
  model   :user
  layout 'scaffold', :except => :main

#account login
  def login
    case @request.method
      when :post
        if @session['user'] = User.authenticate(@params['user_login'], @params['user_password'])

          flash['notice']  = "Login successful"
          redirect_back_or_default :controller => 'projects', :action => "list"
	  
        else
          @login    = @params['user_login']
          @message  = "Login unsuccessful"
      end
    end
  end
  
  #registration
  def signup
    case @request.method
      when :post
        @user = User.new(@params['user'])
        
        if @user.save      
          @session['user'] = User.authenticate(@user.login, @params['user']['password'])
          flash['notice']  = "Signup successful"
          redirect_back_or_default :controller => 'projects', :action => "list"  
        end
      when :get
        @user = User.new
    end      
  end  
  
  def delete
    if @params['id'] and @session['user']
      @user = User.find(@params['id'])
      @user.destroy
    end
    redirect_back_or_default :controller => 'projects', :action => "list"
  end  
    
  #delete all cokies after logout
  def logout
    @session['user'] = nil
    @session['project'] = nil
    @session['document'] = nil
  end
      
  def main
	  
		@user = @session['user']
		@project = @session['project']
		
  end
  
  
  
end
